#!/usr/bin/perl
# Fortune-Version in Perl

use strict;

$/ = "\n%\n"; # Sprueche-Trenner

my ($data,$cookie);

# Datei mit Spruechen, entweder die Standard-Datei
# verwenden oder Name von der Kommandozeile uebernehmen
$data = '/usr/share/fortune/fortunes';
$data = $ARGV[0] if (defined($ARGV[0]));

srand($$);  # Zufallsgenerator initialisieren
open(KEKS,"$data") || die "Keine Kekse\n";
rand($.) < 1 && ($cookie = $_) while <KEKS>;
$cookie =~ s/%$//;
print "\n$cookie\n";
close(KEKS);

